# GetQuestionKeys

Retrieve Question Keys per Question Group

`GET /api/QuestionKeys`

**API:** Registrations and Licenses Question Keys
**Tag:** QuestionKeys
**API Version:** v1
**Base URL:** https://interview-integration.businesslicenses.com

Source: https://developer.avalara.com/products/registration-and-licensing/api/registrations-and-licenses-question-keys/methods/QuestionKeys/GetQuestionKeys/

## Description

Returns the available Keys, per Question Group, that can be used to pass information along with the order into the Create Order API.Question GroupsGeneral – For regular questions; passed once per order.Locations – Each key is passed per location on the order.Officers – Each key is passed per owner/officer.Entities – Each key is passed per Business Entity.How to Use the KeysEach key has a QuestionType that defines how to format the data when submitting it in the order.Keys with AnswerParts must be passed as a JSON object using the specified key-value structure.For Multi-Component and Multi-Address types, pass an array of JSON objects.For AcceptableAnswers:List and Checkbox List: Use a single value.For other types that accept multiple values, use a pipe-separated string (e.g., 'value1 | value2').Available QuestionTypes and FormatsBoolean: 'Yes', 'No'String: Simple stringNumeric: Number as a string (e.g., '2')Telephone: '(123) 123-1234'Email: 'example@example.com'Text: Freeform text stringAddress: { 'address': '123 Main St', 'address2': 'Unit 123', 'city': 'Monsey', 'county': 'Rockland', 'state': 'NY', 'country': 'United States', 'postal': '10952' }Date: 'mm/dd/yyyy'List: String value from the AcceptableAnswersMulti-Select: Pipe-separated string (e.g., 'value1 | value2')Website: String (e.g., 'https://example.com')Date Range: Pipe-separated string of hyphen-separated ranges (e.g., '01/01/2024-01/31/2024 | 02/01/2024-02/28/2024')Date - Months Selector: Pipe-separated string of values from AcceptableAnswersDate-Month Day Selector: Format: 'dd/mm'Multi-Address: Array of address JSON objects, using AnswerPartsRadio: Single string value from AcceptableAnswersCheckbox List: Pipe-separated string (e.g., 'value1 | value2')Multi-Component: Array of JSON objects using keys returned in AnswerParts

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `QuestionKeyGroupDto` |
| 400 | Bad Request |  |

### 200 Response: `QuestionKeyGroupDto`

| Property | Type | Required | Description |
|---|---|---|---|
| `General` | QuestionKeysDto[] | No |  |
| `Locations` | QuestionKeysDto[] | No |  |
| `Officers` | QuestionKeysDto[] | No |  |
| `Entities` | QuestionKeysDto[] | No |  |

## Example Request

```bash
curl -X GET "https://interview-integration.businesslicenses.com/api/QuestionKeys" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```